#!/usr/bin/env bash

curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Intro.md" |
		
zenity --text-info \
		--width=1000 \
		--height=700 \
		--title="Sovran_SystemsOS Updater"


if [[ $? -eq 1 ]]; then
		
		exit 1

else


cd /home/free/Downloads

wget "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Update_Sovran_SystemsOS.sh"

if ! ssh root@localhost 'bash /home/free/Downloads/Update_Sovran_SystemsOS.sh | zenity --progress --no-cancel --pulsate --auto-close --width=500 --title="Sovran_SystemsOS_Reseter" --text="Please Wait. Passwords Are Being Reset. This May Take Some Time..."' ; then

	zenity --error \
	--title="Sovran_SystemsOS Updater" \
	--text="Could Not Log In"
		
	exit 1
	
fi

rm -rf /home/free/Downloads/Master_Passwords_Reset_Root.sh

zenity --info \
	--ellipsize \
	--no-wrap \
	--width=400 \
	--title="Sovran_SystemsOS Updater" \
	--text="Yay Complete! Please Reboot When You Are Ready."

exit 0